Subject: Re: bug#74428: tests/printf/printf-cov failure on macOS

From: Bruno Haible <[email-masked]>
Date: Mon, 09 Dec 2024 23:37:20 +0100

Bernhard Voelker wrote:
> >> on openSUSE for Leap 16.0 on x86_64 [1] and aarch64 [2].
> >>
> >> Using coreutils-9.5 (which has gnulib 259829e78), glibc-2.40.
> >> ...
>      97	  /* Test whether the utf8_to_local converter is available at all.  */
>      98	  if (!is_utf8)
>      99	    {
>     100	#if HAVE_ICONV
>     101	      if (utf8_to_local == (iconv_t)(-1)) {
>     102	        fprintf (stderr, "iconv function not usable: '%s'\n", callback_arg);
>     103	        return failure (code, N_("iconv function not usable"), callback_arg); }
>     104	#else
>     105	      fprintf (stderr, "iconv function not available: '%s'\n", callback_arg);
>     106	      return failure (code, N_("iconv function not available"), callback_arg);
>     107	#endif
>     108	    }
> 
> We're running into "iconv function not available" (line 105) there.
> Compressed 'config.log' attached.

In this log, I see:

configure:23922: checking for working iconv
configure:24066: gcc -o conftest -O2 -Wall -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type -flto=auto -g  -flto=auto conftest.c  >&5
configure:24066: $? = 0
configure:24066: ./conftest
configure:24066: $? = 16
configure: program exited with status 16

and status 16 means that there is no EUC-JP converter.

This is now the second distro I hear of, that ships glibc without any loadable
iconv converters by default.

I have therefore reported
https://sourceware.org/bugzilla/show_bug.cgi?id=32437
in the hope that glibc makes it easier to distros to ship a reasonable set
of iconv converters.

Bruno